package com.fzm.common.open.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fzm.common.mapper.CopyrightApiAuthorMapper;
import com.fzm.common.open.entity.dataobject.CopyrightApiAuthorDO;
import com.fzm.common.open.service.CopyrightApiAuthorService;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author tangtuo
 * @date 2021/12/9 11:41
 */
@Service
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class CopyrightApiAuthorServiceImpl extends ServiceImpl<CopyrightApiAuthorMapper, CopyrightApiAuthorDO> implements CopyrightApiAuthorService {

    private final CopyrightApiAuthorMapper copyrightApiAuthorMapper;

    @Override
    public List<CopyrightApiAuthorDO> getByCopyrightId(int copyrightId) {
        QueryWrapper<CopyrightApiAuthorDO> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("copyright_id", copyrightId);
        return copyrightApiAuthorMapper.selectList(queryWrapper);
    }
}
